#version 100

precision highp float;

uniform vec2 center;
uniform vec2 radius;
uniform vec2 aspect;

attribute vec2 point;

varying vec2 texcoord;

vec2 cMul(vec2 a, vec2 b)
{
  return vec2(a.x * b.x - a.y * b.y, a.x * b.y + a.y * b.x);
}

void main()
{
  texcoord = center + cMul(radius, aspect * point);
  gl_Position = vec4(point, 0.0, 1.0);
}
